org.apache.ignite.internal.binary.builder

## Class BinaryBuilderReader

- java.lang.Object
- - org.apache.ignite.internal.binary.builder.BinaryBuilderReader

All Implemented Interfaces:
  BinaryPositionReadable

    public class BinaryBuilderReader
    extends Object
    implements BinaryPositionReadable

### Method Summary

Methods
`byte[]` `array()`
`BinaryContext` `binaryContext()`
`Object` `getValueQuickly(int pos, int len)`
`Object` `parseValue()`
`int` `position()`
`void` `position(int pos)`
`boolean` `readBoolean()`
`byte` `readByte()`
`byte` `readByte(int off)`
`byte` `readBytePositioned(int pos)` Read byte at the given position.
`int` `readInt()`
`int` `readInt(int off)`
`int` `readIntPositioned(int pos)` Read integer at the given position.
`int` `readLength()`
`short` `readShortPositioned(int pos)` Read short at the given position.
`String` `readString()` Reads string.
`int` `readStringLength()` Read string length.
`void` `registerObject(BinaryObjectBuilderImpl obj)`
`BinarySchema` `schema()` Get schema of the object, starting at the given position.
`void` `skip(int n)`
`void` `skipValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### binaryContext

    public BinaryContext binaryContext()

Returns:
  Binary context.

#### registerObject

    public void registerObject(BinaryObjectBuilderImpl obj)

Parameters:
  `obj` - Mutable binary object.

#### schema

    public BinarySchema schema()

Get schema of the object, starting at the given position.

Returns:
  Object's schema.

#### readInt

    public int readInt()

Returns:
  Read int value.

#### readByte

    public byte readByte()

Returns:
  Read int value.

#### readBoolean

    public boolean readBoolean()

Returns:
  Read boolean value.

#### readByte

    public byte readByte(int off)

Returns:
  Read int value.

#### readInt

    public int readInt(int off)

Parameters:
  `off` - Offset related to `pos`
Returns:
  Read int value.

#### readBytePositioned

    public byte readBytePositioned(int pos)

Description copied from interface: `BinaryPositionReadable`
Read byte at the given position.

Specified by:
  `readBytePositioned` in interface `BinaryPositionReadable`
Parameters:
  `pos` - Position in the source array.
Returns:
  Read byte value.

#### readShortPositioned

    public short readShortPositioned(int pos)

Read short at the given position.

Specified by:
  `readShortPositioned` in interface `BinaryPositionReadable`
Parameters:
  `pos` - Position.
Returns:
  Value.

#### readIntPositioned

    public int readIntPositioned(int pos)

Read integer at the given position.

Specified by:
  `readIntPositioned` in interface `BinaryPositionReadable`
Parameters:
  `pos` - Position.
Returns:
  Value.

#### readLength

    public int readLength()

Returns:
  Read length of array.

#### readStringLength

    public int readStringLength()

Read string length.

Returns:
  String length.

#### readString

    public String readString()

Reads string.

Returns:
  String.

#### skipValue

    public void skipValue()

#### getValueQuickly

    public Object getValueQuickly(int pos,
                         int len)

Parameters:
  `pos` - Position.
  `len` - Length.
Returns:
  Object.

#### parseValue

    public Object parseValue()

Returns:
  Parsed value.

#### array

    public byte[] array()

Returns:
  Array.

#### position

    public int position()

Returns:
  Position of reader.

#### position

    public void position(int pos)

Parameters:
  `pos` - New pos.

#### skip

    public void skip(int n)

Parameters:
  `n` - Number of bytes to skip.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016